Subject: bug#2625: 23.0.90; C-x C-s in Rmail Edit mode

From: Richard M Stallman <[email-masked]>
Date: Tue, 10 Mar 2009 14:20:32 -0400

I accidentally typed C-x C-s in Rmail Edit mode and it saved just the
current message.

Fortunately it occurred to me that this might have happened, so I
checked, and I did not lose my Rmail data.  But this should not
happen: saving the buffer during Rmail Edit mode has to save the whole
file.

Ideally it would save the whole file with the edits done thus far, but
that could be rather hard to implement.  If it saves the whole file as
it was when the e command was typed, that will at least avoid loss of
data.

`buffer-swapped-with' would have taken care of this effortlessly.

In GNU Emacs 23.0.90.4 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.11)
 of 2009-02-23 on lemote-yeeloong
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
p r i v a t e u r . RET ESC DEL i n j u s t e . RET 
C-x C-s C-x b RET C-n C-o C-u C-n C-n C-n C-n C-n C-n 
C-p C-o C-x o C-x 1 C-u C-u C-n C-n ESC f ESC f ESC 
f ESC f ESC f C-b DEL k C-n DEL , SPC b e c a u s e 
SPC s o m e t i m e s SPC t h h a t SPC ESC b C-f C-d 
C-e s p i r i t SPC i s SPC m i s t a k e n RET o r 
SPC c o n f u s e d SPC o r SPC e v e n SPC v i c i 
o u s . C-x C-s C-x b RET g ~ x y e s RET C-x b R TAB 
RET C-x 1 p C-d x p p o m e c e n TAB RET C-d C-v C-v 
C-p C-p C-p C-p ESC x m i m e RET C-x h ESC x w r SPC 
r e RET c r a c r a f t . d DEL p d f RET C-x k RET 
C-l C-x C-x C-v C-u C-n C-u C-n C-u C-n C-u C-n C-u 
C-n C-n C-n C-n C-n C-n C-n e C-w RET P u t SPC i n 
t o SPC c r a c C-x C-f ESC p C-g r a f t . p d f . 
RET C-x C-s C-c C-c C-x C-s m C-x 0 ESC x r e p o r 
t SPC e a v s DEL DEL DEL m a s c DEL c DEL DEL c s 
RET

Recent messages:
Showing message 265
Showing message 265...done
Mark set [2 times]
Wrote /home/rms/cracraft.pdf
Editing: Type C-c C-c to return to Rmail, C-c C-] to abort
Quit
Saving file /home/rms/RMAIL...
Wrote /home/rms/RMAIL
Saving file /home/rms/RMAIL...
Wrote /home/rms/RMAIL